Bug 429853 - --help cause python error on ipa-replica-install
Summary: --help cause python error on ipa-replica-install
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server   
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 453489
TreeView+ depends on / blocked
 
Reported: 2008-01-23 14:38 UTC by David O'Brien
Modified: 2015-01-04 23:30 UTC (History)
2 users (show)

Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 07:14:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove reference to radiusinstance (886 bytes, patch)
2008-01-29 15:09 UTC, Rob Crittenden
no flags Details | Diff

Description David O'Brien 2008-01-23 14:38:18 UTC
Description of problem:
Taken from email list:

> ./ipa-replica-install --help
> Traceback (most recent call last):
>  File "./ipa-replica-install", line 29, in <module>
>    from ipaserver import httpinstance, webguiinstance, radiusinstance,
ntpinstance, certs
> ImportError: cannot import name radiusinstance

This is a python traceback. Can you file a bug on this? 

Version-Release number of selected component (if applicable):
ipa-server-0.6.0-2


How reproducible:
Always

Steps to Reproduce:
1. see above

Actual results:
see above

Expected results:
Should display usage for ipa-replica-install

Additional info:

Comment 1 Rob Crittenden 2008-01-29 15:09:45 UTC
Created attachment 293287 [details]
remove reference to radiusinstance

Comment 2 Rob Crittenden 2008-01-29 16:30:40 UTC
Committed in changeset  606

Comment 4 Michael Gregg 2008-11-20 00:38:55 UTC
Verified against:
1.1.0-2.20081119.el5ipa

[root@ipaqa-64vm ~]# ipa-replica-install --help
usage: ipa-replica-install [options]

options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  -N, --no-ntp          do not configure ntp
  -d, --debug           gather extra debugging information
  -p PASSWORD, --password=PASSWORD
                        Directory Manager (existing master) password
[root@ipaqa-64vm ~]# echo $?
0


Note You need to log in before you can comment on or make changes to this bug.